<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:div id="testResults">
        <rich:dataTable value="#{messagesAutomaton}" var="testStep" rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                        render="ds" id="messageList">
            <ui:include src="automaton_logger_columns.xhtml">
                <ui:param name="managedBean" value="#{hl7MessageBrowser}"/>
            </ui:include>
            <g:column>
                <f:facet name="header">#{messages['gazelle.HL7Common.Action']}</f:facet>
                <h:outputLink value="#{hl7MessageBrowser.permanentLink(testStep.requestAndResponse)}" target="_blank;">
                    <s:span styleClass="gzl-icon-search "/>
                </h:outputLink>
            </g:column>
            <f:facet name="footer">
                <ui:include src="/util/datatableFooter.xhtml">
                    <ui:param name="dataScrollerId" value="ds"/>
                    <ui:param name="dataTableId" value="messageList"/>
                </ui:include>
            </f:facet>
        <ui:include src="/messages/validationSummaryPanel.xhtml">
            <ui:param name="managedBean" value="#{hl7MessageBrowser}"/>
        </ui:include>
        </rich:dataTable>
    </s:div>
</ui:composition>